ec2n.h File Reference

Classes for Elliptic Curves over binary fields. More...

Go to the source code of this file.

## Classes

class | EC2N
| Elliptic Curve over GF(2^n). More...
class | EcPrecomputation< EC2N >
| EC2N precomputation specialization. More...

## Variables

| DL_FixedBasePrecomputationImpl< EC2N::Point >
| DL_GroupPrecomputation< EC2N::Point >

## Detailed Description

Classes for Elliptic Curves over binary fields.

Definition in file ec2n.h.

## Variable Documentation

## DL_FixedBasePrecomputationImpl< EC2N::Point >

DL_FixedBasePrecomputationImpl< EC2N::Point >

Definition at line 26 of file ec2n.h.

## DL_GroupPrecomputation< EC2N::Point >

DL_GroupPrecomputation< EC2N::Point >

Definition at line 26 of file ec2n.h.